[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

RE: Problem loading icicles.el after my .emacs is loaded

From: Drew Adams
Subject: RE: Problem loading icicles.el after my .emacs is loaded
Date: Tue, 22 May 2007 15:53:29 -0700

> I had an obselete emacs lisp file in my load path called pp+.el that
> contained a line
> Obsolete. Replaced by `+.el'.

That's odd.  pp+.el on Emacs Wiki is a library I wrote, but it does not
contain any such text.  pp+.el just contains some minor enhancements to
standard library pp.el.

Icicles does do a soft require of pp+.el, that is, (require 'pp+ nil t), so
that you can pick up its version of `pp-eval-expression' if you happen to
have it. There is no problem or error if you don't have pp+.el.

> and that icicles (optionally?) used.

Yes; pp+.el is optional.

> I removed the file and icicles now works brilliantly!

It should also work with pp+.el. It sounds like your pp+.el file was not the
same -

Glad to hear you fixed your problem - that's the main thing.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]